: Interface nsIMdbTable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.mdb
Interface nsIMdbTable

public abstract interface nsIMdbTable
extends nsIMdbCollection

Method Summary
`grendel.storage.mdb.nsIMdbThumb` | `AddIndex(nsIMdbEnv ev, int inColumn)`
`void` | `AddOid(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`void` | `AddRow(nsIMdbEnv ev, nsIMdbRow ioRow)`
`boolean` | `CanSortColumn(nsIMdbEnv ev, int inColumn)`
`grendel.storage.mdb.nsIMdbThumb` | `CloneSortColumn(nsIMdbEnv ev, int inColumn)`
`grendel.storage.mdb.nsIMdbThumb` | `CutIndex(nsIMdbEnv ev, int inColumn)`
`void` | `CutOid(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`void` | `CutRow(nsIMdbEnv ev, nsIMdbRow ioRow)`
`void` | `DisableIndexOnSort(nsIMdbEnv ev, int inColumn)`
`void` | `EnableIndexOnSort(nsIMdbEnv ev, int inColumn)`
`void` | `EndBatchChangeHint(nsIMdbEnv ev, java.lang.String inLabel)`
`int` | `GetRowScope(nsIMdbEnv ev)`
`int` | `GetSortColumn(nsIMdbEnv ev)`
`int` | `GetTableKind(nsIMdbEnv ev)`
`nsIMdbTableRowCursor` | `GetTableRowCursor(nsIMdbEnv ev, int inRowPos)`
`boolean` | `HasIndex(nsIMdbEnv ev, int inColumn)`
`int` | `HasOid(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid)`
`int` | `HasRow(nsIMdbEnv ev, nsIMdbRow ioRow)`
`int` | `MoveOid(nsIMdbEnv ev, grendel.storage.mdb.mdbOid inOid, int inHintFromPos, int inToPos)`
`int` | `MoveRow(nsIMdbEnv ev, nsIMdbRow ioRow, int inHintFromPos, int inToPos)`
`nsIMdbRow` | `NewRow(nsIMdbEnv ev, grendel.storage.mdb.mdbOid ioOid)`
`grendel.storage.mdb.nsIMdbThumb` | `NewSortColumn(nsIMdbEnv ev, int inColumn)`
`grendel.storage.mdb.nsIMdbThumb` | `NewSortColumnWithCompare(nsIMdbEnv ev, grendel.storage.mdb.nsIMdbCompare ioCompare, int inColumn)`
`boolean` | `QueryIndexOnSort(nsIMdbEnv ev, int inColumn)`
`grendel.storage.mdb.mdbOid` | `RowPosToOid(nsIMdbEnv ev, int inRowPos)`
`void` | `SearchColumnsHint(nsIMdbEnv ev, grendel.storage.mdb.mdbColumnSet inColumnSet)`
`grendel.storage.mdb.nsIMdbThumb` | `SearchManyColumns(nsIMdbEnv ev, java.lang.String inPrefix, grendel.storage.mdb.mdbSearch ioSearch)`
`grendel.storage.mdb.mdbRange` | `SearchOneSortedColumn(nsIMdbEnv ev, java.lang.String inPrefix)`
`void` | `SortColumnsHint(nsIMdbEnv ev, grendel.storage.mdb.mdbColumnSet inColumnSet)`
`void` | `StartBatchChangeHint(nsIMdbEnv ev, java.lang.String inLabel)`
`nsIMdbTable` | `ThumbToCloneSortTable(nsIMdbEnv ev, grendel.storage.mdb.nsIMdbThumb ioThumb)`

Methods inherited from interface grendel.storage.mdb.nsIMdbCollection
`BecomeContent, DropActivity, GetCount, GetCursor, GetOid, GetPort, GetSeed`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### GetTableKind

    public int GetTableKind(nsIMdbEnv ev)

### GetRowScope

    public int GetRowScope(nsIMdbEnv ev)

### GetTableRowCursor

    public nsIMdbTableRowCursor GetTableRowCursor(nsIMdbEnv ev,
                                                  int inRowPos)

### RowPosToOid

    public grendel.storage.mdb.mdbOid RowPosToOid(nsIMdbEnv ev,
                                                  int inRowPos)

### AddOid

    public void AddOid(nsIMdbEnv ev,
                       grendel.storage.mdb.mdbOid inOid)

### HasOid

    public int HasOid(nsIMdbEnv ev,
                      grendel.storage.mdb.mdbOid inOid)

### CutOid

    public void CutOid(nsIMdbEnv ev,
                       grendel.storage.mdb.mdbOid inOid)

### NewRow

    public nsIMdbRow NewRow(nsIMdbEnv ev,
                            grendel.storage.mdb.mdbOid ioOid)

### AddRow

    public void AddRow(nsIMdbEnv ev,
                       nsIMdbRow ioRow)

### HasRow

    public int HasRow(nsIMdbEnv ev,
                      nsIMdbRow ioRow)

### CutRow

    public void CutRow(nsIMdbEnv ev,
                       nsIMdbRow ioRow)

### SearchOneSortedColumn

    public grendel.storage.mdb.mdbRange SearchOneSortedColumn(nsIMdbEnv ev,
                                                              java.lang.String inPrefix)

### SearchManyColumns

    public grendel.storage.mdb.nsIMdbThumb SearchManyColumns(nsIMdbEnv ev,
                                                             java.lang.String inPrefix,
                                                             grendel.storage.mdb.mdbSearch ioSearch)

### SearchColumnsHint

    public void SearchColumnsHint(nsIMdbEnv ev,
                                  grendel.storage.mdb.mdbColumnSet inColumnSet)

### SortColumnsHint

    public void SortColumnsHint(nsIMdbEnv ev,
                                grendel.storage.mdb.mdbColumnSet inColumnSet)

### StartBatchChangeHint

    public void StartBatchChangeHint(nsIMdbEnv ev,
                                     java.lang.String inLabel)

### EndBatchChangeHint

    public void EndBatchChangeHint(nsIMdbEnv ev,
                                   java.lang.String inLabel)

### CanSortColumn

    public boolean CanSortColumn(nsIMdbEnv ev,
                                 int inColumn)

### NewSortColumn

    public grendel.storage.mdb.nsIMdbThumb NewSortColumn(nsIMdbEnv ev,
                                                         int inColumn)

### NewSortColumnWithCompare

    public grendel.storage.mdb.nsIMdbThumb NewSortColumnWithCompare(nsIMdbEnv ev,
                                                                    grendel.storage.mdb.nsIMdbCompare ioCompare,
                                                                    int inColumn)

### GetSortColumn

    public int GetSortColumn(nsIMdbEnv ev)

### CloneSortColumn

    public grendel.storage.mdb.nsIMdbThumb CloneSortColumn(nsIMdbEnv ev,
                                                           int inColumn)

### ThumbToCloneSortTable

    public nsIMdbTable ThumbToCloneSortTable(nsIMdbEnv ev,
                                             grendel.storage.mdb.nsIMdbThumb ioThumb)

### MoveOid

    public int MoveOid(nsIMdbEnv ev,
                       grendel.storage.mdb.mdbOid inOid,
                       int inHintFromPos,
                       int inToPos)

### MoveRow

    public int MoveRow(nsIMdbEnv ev,
                       nsIMdbRow ioRow,
                       int inHintFromPos,
                       int inToPos)

### AddIndex

    public grendel.storage.mdb.nsIMdbThumb AddIndex(nsIMdbEnv ev,
                                                    int inColumn)

### CutIndex

    public grendel.storage.mdb.nsIMdbThumb CutIndex(nsIMdbEnv ev,
                                                    int inColumn)

### HasIndex

    public boolean HasIndex(nsIMdbEnv ev,
                            int inColumn)

### EnableIndexOnSort

    public void EnableIndexOnSort(nsIMdbEnv ev,
                                  int inColumn)

### QueryIndexOnSort

    public boolean QueryIndexOnSort(nsIMdbEnv ev,
                                    int inColumn)

### DisableIndexOnSort

    public void DisableIndexOnSort(nsIMdbEnv ev,
                                   int inColumn)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD